{#- For name header -#}
#ifndef MEM_INFO_H
#define MEM_INFO_H

#define MEMORY_SIZE {{ mem_size }}

{% for i in range(mem_info|length) -%}
{%- set layer_name = mem_info[i][0] %}
/* {{layer_name}} memory */
{% for j in range(1, mem_info[i]|length) %}
#define {{ layer_name|upper }}_{{ mem_info_legends[j]|upper }} {{ mem_info[i][j] }}
{%- endfor %}
{% endfor %}


#endif /* MEM_INFO_H */